IPIG(1)

NAME
ipig - Integrating PSMs Into Genome browser visualizations

SYNOPSIS
ipig <psm file> |-g|-c|-cg [<config file>]

DESCRIPTION

iPiG targets the integration of peptide spectrum matches (PSMs) from mass spectrometry (MS) peptide identifications into genomic visualisations provided by genome browser such as the UCSC genome browser (http://genome.ucsc.edu/).

iPiG takes PSMs from the MS standard format mzIdentML (*.mzid) or in text format and provides results in genome track formats (BED and GFF3 files), which can be easily imported into genome browsers.

OPTIONS

<psm file>
    indicates the file with the peptide spectrum matches (mzid/txt)

-g, -gui
    starts the graphical user interface of iPiG

-c, -control
    starts the gene control, necessary files have to be indicated in the configuration file

-cg, -controlgui
    starts the graphical user interface of the gene control

-d, -downloader
    starts the download gui

<config file>
    a different configuration file can be indicated (otherwise ipig.conf is loaded by default)

additional requirements:

    using a non-gui mode, a config file (ipig.conf by default) has to contain several additional parameters, e.g. indicating the reference genome etc.

    in a gui mode (-g and -cg), additional parameters can be indicated two ways, within the interface or with a config file as well.

    have a look into readme.txt and ipig.conf for examples and more details about the additional parameters